Bug 839750 - iftop crashes
iftop crashes
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: iftop (Show other bugs)
18
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Robert Scheck
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-12 13:51 EDT by billgrz
Modified: 2014-01-03 17:43 EST (History)
6 users (show)

See Also:
Fixed In Version: iftop-1.0-0.6.pre2.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-20 21:08:27 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description billgrz 2012-07-12 13:51:46 EDT
Description of problem:
iftop runs, but after an unpredictable amount of time, it crashes.

Version-Release number of selected component (if applicable):
version 1.0pre2

How reproducible:
Very.  Happens every time.

Steps to Reproduce:
1. Open terminal window.
2. Execute: iftop
3. Wait for crash, usually less than 2 minutes.
  
Actual results:
It runs, but then crashes with the message:

iftop: netlink.h:43: PROTO_ADDRESS_SIZE: Assertion `proto == 2 || proto == 10' failed.
     Aborted (core dumped)


Expected results:
Runs without error.

Additional info:
Comment 1 billgrz 2012-08-07 15:49:42 EDT
I've since discovered that iftop stability is greatly improved by turning off DNS resolution.  Instead of crashing within a few minutes, it runs for hours with DNS resolution off.
Comment 2 Robert Scheck 2012-08-09 19:03:10 EDT
Thank you very much for the report, I have notified upstream about this.
Comment 3 Robert Story 2012-11-09 14:59:04 EST
I'm seeing this to with iftop-1.0-0.2.pre2.fc17.x86_64.
Comment 4 Fedora End Of Life 2013-07-03 22:54:20 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-08-01 05:41:53 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 Robert Scheck 2013-11-16 14:04:12 EST
As it seems that there are two similar issues in iftop, I still would like to 
track it down. Can you please try one of these scratch builds please and give
me some feedback?

 - F21: http://koji.fedoraproject.org/koji/taskinfo?taskID=6187796
 - F20: http://koji.fedoraproject.org/koji/taskinfo?taskID=6188542
 - F19: http://koji.fedoraproject.org/koji/taskinfo?taskID=6188556
 - F18: http://koji.fedoraproject.org/koji/taskinfo?taskID=6188569
 - EL6: http://koji.fedoraproject.org/koji/taskinfo?taskID=6188587
 - EL5: http://koji.fedoraproject.org/koji/taskinfo?taskID=6188595
Comment 7 billgrz 2013-11-16 17:22:06 EST
Hi, Robert.

I've installed the F19 (64-bit) scratch build.  So far, so good.  However, since I filed the original bug, I've upgraded my computer to F19, and retired from the IT world, so I'm no longer in a position to give iftop a thorough workout.  The scratch build runs fine on my laptop at home and has not crashed after several hours. I hope this helps.

Best regards,
-Bill
Comment 8 Fedora Update System 2013-12-19 14:15:08 EST
iftop-1.0-0.6.pre2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/iftop-1.0-0.6.pre2.fc20
Comment 9 Fedora Update System 2013-12-19 14:16:20 EST
iftop-1.0-0.6.pre2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/iftop-1.0-0.6.pre2.fc19
Comment 10 Fedora Update System 2013-12-19 14:17:25 EST
iftop-1.0-0.6.pre2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/iftop-1.0-0.6.pre2.fc18
Comment 11 Fedora Update System 2013-12-19 14:18:38 EST
iftop-1.0-0.6.pre2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/iftop-1.0-0.6.pre2.el6
Comment 12 Fedora Update System 2013-12-19 14:20:31 EST
iftop-1.0-0.6.pre2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/iftop-1.0-0.6.pre2.el5
Comment 13 Fedora Update System 2013-12-20 11:51:51 EST
Package iftop-1.0-0.6.pre2.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing iftop-1.0-0.6.pre2.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-12431/iftop-1.0-0.6.pre2.el6
then log in and leave karma (feedback).
Comment 14 Fedora Update System 2013-12-20 21:08:27 EST
iftop-1.0-0.6.pre2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora End Of Life 2013-12-21 10:40:43 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Fedora Update System 2013-12-21 13:50:25 EST
iftop-1.0-0.6.pre2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2013-12-22 22:50:27 EST
iftop-1.0-0.6.pre2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2013-12-28 18:42:09 EST
iftop-1.0-0.6.pre2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2014-01-03 17:43:16 EST
iftop-1.0-0.6.pre2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.